Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp
Class ObjectInspector.TreeNode

    java.lang.Object
      de.grogra.imp.ObjectInspector.TreeNode

All Implemented Interfaces:
  javax.swing.tree.TreeNode

Enclosing class:
  ObjectInspector

    public static class ObjectInspector.TreeNode

extends java.lang.Object
implements javax.swing.tree.TreeNode

Constructor Summary
`ObjectInspector.TreeNode(java.lang.Object object, ObjectInspector.TreeNode parent)`

Method Summary
`void` | `addChild(ObjectInspector.TreeNode treeNode)`
`java.util.Enumeration<ObjectInspector.TreeNode>` | `children()`
`boolean` | `getAllowsChildren()`
`ObjectInspector.TreeNode` | `getChildAt(int childIndex)`
`int` | `getChildCount()`
`int` | `getIndex(javax.swing.tree.TreeNode node)`
`java.lang.Object` | `getObject()`
`ObjectInspector.TreeNode` | `getParent()`
`boolean` | `isLeaf()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectInspector.TreeNode

    public ObjectInspector.TreeNode(java.lang.Object object,
                                    ObjectInspector.TreeNode parent)

Method Detail

### addChild

    public void addChild(ObjectInspector.TreeNode treeNode)

### children

    public java.util.Enumeration<ObjectInspector.TreeNode> children()

  Specified by:
    `children` in interface `javax.swing.tree.TreeNode`

### getAllowsChildren

    public boolean getAllowsChildren()

  Specified by:
    `getAllowsChildren` in interface `javax.swing.tree.TreeNode`

### getChildAt

    public ObjectInspector.TreeNode getChildAt(int childIndex)

  Specified by:
    `getChildAt` in interface `javax.swing.tree.TreeNode`

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in interface `javax.swing.tree.TreeNode`

### getIndex

    public int getIndex(javax.swing.tree.TreeNode node)

  Specified by:
    `getIndex` in interface `javax.swing.tree.TreeNode`

### getObject

    public java.lang.Object getObject()

### getParent

    public ObjectInspector.TreeNode getParent()

  Specified by:
    `getParent` in interface `javax.swing.tree.TreeNode`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `javax.swing.tree.TreeNode`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD